Devuan bug report logs - #380
libsqlite3-0 3.31.0-1 causes firefox/firefox esr to crash

version graph

Package: libsqlite3-0; Maintainer for libsqlite3-0 is (unknown);

Reported by: Arthur Marsh <arthur.marsh@internode.on.net>

Date: Thu, 23 Jan 2020 11:18:02 UTC

Severity: normal

Tags: debian

Found in version 3.31.0-1

Fixed in version 3.31.0+really3.30.1+fossil191229-1

Done: Mark Hindley <mark@hindley.org.uk>

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to devuan-bugs@lists.dyne.org, owner@bugs.devuan.org:
bug#380; Package libsqlite3-0. (Thu, 23 Jan 2020 11:18:02 GMT) (full text, mbox, link).


Acknowledgement sent to Arthur Marsh <arthur.marsh@internode.on.net>:
New bug report received and forwarded. Copy sent to owner@bugs.devuan.org. (Thu, 23 Jan 2020 11:18:05 GMT) (full text, mbox, link).


Message #5 received at submit@bugs.devuan.org (full text, mbox, reply):

From: Arthur Marsh <arthur.marsh@internode.on.net>
To: submit@bugs.devuan.org
Subject: libsqlite3-0 3.31.0-1 causes firefox/firefox esr to crash
Date: Thu, 23 Jan 2020 21:24:03 +1030
Package: libsqlite3-0

Version: 3.30.1+fossil191229-1

Severity: important


Dear Maintainer,


*** Reporter, please consider answering these questions, where appropriate ***


   * What led up to the situation?


[UPGRADE] libsqlite3-0:amd64 3.30.1+fossil191229-1 -> 3.31.0-1


After this upgrade, firefox crashed immediately on startup.


   * What exactly did you do (or not do) that was effective (or ineffective)?


downgrading libsqlite3-0 to 3.30.1+fossil191229-1 resolved the issue, but I first had to start firefox in safe mode, wait for it to fully load, quit, then restart firefox.


   * What was the outcome of this action?

   * What outcome did you expect instead?


*** End of the template - remove these template lines ***


-- System Information:
Debian Release: 10.0
 APT prefers experimental
 APT policy: (1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 5.5.0-rc7+ (SMP w/4 CPU cores)
Locale: LANG=en_AU.UTF-8, LC_CTYPE=en_AU.UTF-8 (charmap=UTF-8), LANGUAGE=en_GB (
charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash
Init: sysvinit (via /sbin/init)

Versions of packages libsqlite3-0 depends on:
ii  libc6  2.29-9

libsqlite3-0 recommends no packages.

libsqlite3-0 suggests no packages

-- no debconf information


-- 
Sent from my Android device with K-9 Mail. Please excuse my brevity.

Information forwarded to devuan-bugs@lists.dyne.org, owner@bugs.devuan.org:
bug#380; Package libsqlite3-0. (Thu, 23 Jan 2020 15:03:01 GMT) (full text, mbox, link).


Message #8 received at 380@bugs.devuan.org (full text, mbox, reply):

From: Mark Hindley <mark@hindley.org.uk>
To: 380@bugs.devuan.org
Subject: Re: libsqlite3-0 3.31.0-1 causes firefox/firefox esr to crash
Date: Thu, 23 Jan 2020 14:47:14 +0000
Control: tags -1 debian 
Control: notfound -1 3.30.1+fossil191229-1
Control: found -1 3.31.0-1

Arthur,

This looks like https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=949644

This is not a forked package, so I suggest you add your voice to the Debian
BTS to get it fixed.

Thanks

Mark

Added tag(s) debian. Request was from Mark Hindley <mark@hindley.org.uk> to 380-submit@bugs.devuan.org. (Thu, 23 Jan 2020 15:03:06 GMT) (full text, mbox, link).


Marked as found in versions 3.31.0-1. Request was from Mark Hindley <mark@hindley.org.uk> to 380-submit@bugs.devuan.org. (Thu, 23 Jan 2020 15:03:06 GMT) (full text, mbox, link).


Reply sent to Mark Hindley <mark@hindley.org.uk>:
You have taken responsibility. (Sun, 02 Feb 2020 17:48:08 GMT) (full text, mbox, link).


Notification sent to Arthur Marsh <arthur.marsh@internode.on.net>:
bug acknowledged by developer. (Sun, 02 Feb 2020 17:48:10 GMT) (full text, mbox, link).


Message #17 received at 380-done@bugs.devuan.org (full text, mbox, reply):

From: Mark Hindley <mark@hindley.org.uk>
To: 380-done@bugs.devuan.org
Subject: Re: libsqlite3-0 3.31.0-1 causes firefox/firefox esr to crash
Date: Sun, 2 Feb 2020 17:40:42 +0000
Version: 3.31.0+really3.30.1+fossil191229-1

Fixed in Debian #949644.

Closing.

Mark

Send a report that this bug log contains spam.


Devuan BTS -- Powered by Debian bug tracking system
Copyright (C) 1999 Darren O. Benham,
1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson,
2005-2017 Don Armstrong, and many other contributors.

Devuan Bugs Owner <owner@bugs.devuan.org>.
Last modified: Wed Dec 2 21:31:41 2020;